unit dtm_Sample;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, users_basic, users_asta, AstaDrv2, AstaClientDataset;

type
  TSampleData = class(TDataModule)
    dtsCompanies: TDataSource;
    UsersASTAReg1: TUsersASTAReg;
    Companies: TAstaClientDataSet;
    CompaniesCompany_Name: TStringField;
    CompaniesCompany_Id: TIntegerField;
    CompaniesCompany_Address: TStringField;
    CompaniesCompany_Phone: TStringField;
    CompaniesCompany_FAX: TStringField;
    CompaniesCompanyUserName: TStringField;
    procedure CompaniesBeforePost(DataSet: TDataSet);
    procedure SampleDataCreate(Sender: TObject);
    procedure CompaniesBeforeEdit(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SampleData: TSampleData;

implementation

uses main;

{$R *.DFM}

var
  OldName: String;

procedure TSampleData.CompaniesBeforePost(DataSet: TDataSet);
begin
  if CompaniesCOMPANY_NAME.Value<>OldName then
    UsersASTAReg1.Audit(CompaniesCOMPANY_NAME.Name,'Name Change','Old Name: '+OldName+#10#13+'New Name: '+CompaniesCOMPANY_NAME.Value);
end;

procedure TSampleData.SampleDataCreate(Sender: TObject);
begin
  Companies.Open;
end;

procedure TSampleData.CompaniesBeforeEdit(DataSet: TDataSet);
begin
  OldName:=CompaniesCOMPANY_NAME.Value;
end;

end.
