unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ActnList, Menus, users_basic, users_asta, DBTables, StdCtrls, ScktComp,
  AstaCustomSocket, AstaClientSocket, ExtCtrls;

type
  TForm1 = class(TForm)
    UsersASTA1: TUsersASTA;
    UsersASTAReg1: TUsersASTAReg;
    Button1: TButton;
    AstaClientSocket1: TAstaClientSocket;
    Memo1: TMemo;
    Panel1: TPanel;
    procedure Button1Click(Sender: TObject);
    procedure UsersASTA1WhileProcessLogin;
    procedure UsersASTA1AfterLogin;
    procedure UsersASTA1BeforeLogin;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses u_message;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if not UsersASTA1.Login then
    Application.Terminate;
end;

procedure TForm1.UsersASTA1WhileProcessLogin;
begin
  if UsersAsta1.LastLoginOk then
    if frmMessage<>NIL then
      begin
        frmMessage.Show;
        frmMessage.Update;
      end;
end;

procedure TForm1.UsersASTA1AfterLogin;
begin
  if UsersAsta1.LastLoginOk then
    begin
      if frmMessage<>NIL then
        begin
          frmMessage.Free;
          frmMessage:=NIL;
        end;
      Panel1.Caption:='User: '+UsersAsta1.ActualUser.UserName;
    end;    
end;

procedure TForm1.UsersASTA1BeforeLogin;
begin
  frmMessage:=TfrmMessage.Create(Application);
end;

end.
