unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ActnList, Menus, users_basic, DBTables, StdCtrls, Grids,
  DBGrids, ExtCtrls, Db, users_asta, ScktComp, AstaCustomSocket,
  AstaClientSocket;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    UsersASTA1: TUsersASTA;
    UsersASTAReg1: TUsersASTAReg;
    Users1: TMenuItem;
    UserAdministration1: TMenuItem;
    ChangeUserPassword1: TMenuItem;
    Login1: TMenuItem;
    N1: TMenuItem;
    DBGrid1: TDBGrid;
    Memo1: TMemo;
    Panel3: TPanel;
    AstaClientSocket1: TAstaClientSocket;
    procedure ChangeUserPasswordExecute(Sender: TObject);
    procedure UserAdministrationExecute(Sender: TObject);
    procedure LoginExecute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure UsersASTA1ShowAdditionalInfo(var aForm: TForm;
      var aPanel: TPanel; GetActualUserId: TGetActualUserId);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses dtm_Sample, additional_info;

{$R *.DFM}

procedure TForm1.ChangeUserPasswordExecute(Sender: TObject);
begin
  UsersASTA1.ChangeUserPassword;
end;

procedure TForm1.UserAdministrationExecute(Sender: TObject);
begin
  UsersASTA1.UsersAdm;
end;

procedure TForm1.LoginExecute(Sender: TObject);
begin
  if not UsersASTA1.Login then
    Application.Terminate;
  Panel3.Caption:='User: ' + UsersASTA1.ActualUser.UserName+' ['+UsersASTA1.ActualUser.RealName+']';
  SampleData.Companies.Close;
  if UsersASTA1.Actualuser.AdditionalInfo<>'' then
  // modification of the Where clause to restrict the data the user can view
    SampleData.Companies.SQL[2]:='Where '+UsersASTA1.Actualuser.AdditionalInfo
  else
    SampleData.Companies.SQL[2]:=' ';
  SampleData.Companies.Open;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ShowMessage('User Name: master'+#10#13+'Password: master');
  UsersASTA1.Login;
  if not UsersASTA1.LastLoginOk then
    Exit;
  SampleData:=TSampleData.Create(Application);
  SampleData.Companies.Close;
  if UsersASTA1.Actualuser.AdditionalInfo<>'' then
  // modification of the Where clause to restrict the data the user can view
    SampleData.Companies.SQL[2]:='Where '+UsersASTA1.Actualuser.AdditionalInfo
  else
    SampleData.Companies.SQL[2]:=' ';
  SampleData.Companies.Open;
end;

procedure TForm1.UsersASTA1ShowAdditionalInfo(var aForm: TForm;
  var aPanel: TPanel; GetActualUserId: TGetActualUserId);
begin
  frmAdditionalInfo:=TfrmAdditionalInfo.Create(NIL);
  aForm :=frmAdditionalInfo;
  aPanel:=frmAdditionalInfo.ThePanel;
  frmAdditionalInfo.GetActualUserId:=GetActualUserId;
  frmAdditionalInfo.AppKey:=UsersASTA1.AppKey;
  // the form frmAdditionalInfo will be released by the TUsersASTA component
end;

end.
